Data Fields | Protected Member Functions

# DeterministicSpriteGroup Struct Reference

Inheritance diagram for DeterministicSpriteGroup:

## Data Fields
VarSpriteGroupScope | var_scope
DeterministicSpriteGroupSize | size
uint | num_adjusts
byte | num_ranges
DeterministicSpriteGroupAdjust * | adjusts
DeterministicSpriteGroupRange * | ranges
const SpriteGroup * | default_group
## Protected Member Functions
const SpriteGroup * | Resolve (ResolverObject *object) const
| Base sprite group resolver.

## Detailed Description

Definition at line 192 of file newgrf_spritegroup.h.

The documentation for this struct was generated from the following files:

- src/newgrf_spritegroup.h
- src/newgrf_spritegroup.cpp